<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:app="http://www.xoev.de/de/xgenerator/framework/1/application"
                xmlns:kosit="http://www.xoev.de/de/kosit-zubehoer/3_1_0"
                xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML"
                xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
                xmlns:xgen="http://www.xoev.de/de/xgenerator/framework/1/library"
                xmlns:xmi="http://www.omg.org/spec/XMI/20131001"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="2.0">
   <xsl:variable name="kosit:profile-application"
                 select="$xgen:profile-applications/xgen:profile-application[@name = 'KoSIT-Dokumentations-Profil']"
                 as="element(xgen:profile-application)?"/>
   <xsl:variable name="kosit:version">3.1.0</xsl:variable>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="kosit:docInlineSimpleTypeDocumentation"
            match="/xmi:XMI/*[namespace-uri() = $kosit:profile-application/@nsURI and local-name()='docInlineSimpleTypeDocumentation']"
            use="(@base_Type)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp docInlineSimpleTypeDocumentation.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="kosit:docInlineSimpleTypeDocumentation" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('kosit:docInlineSimpleTypeDocumentation', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="kosit:docGeneration"
            match="/xmi:XMI/*[namespace-uri() = $kosit:profile-application/@nsURI and local-name()='docGeneration']"
            use="(@base_Package)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp docGeneration.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="kosit:docGeneration" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('kosit:docGeneration', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="kosit:ignoreInFlatList"
            match="/xmi:XMI/*[namespace-uri() = $kosit:profile-application/@nsURI and local-name()='ignoreInFlatList']"
            use="(@base_Type,@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp ignoreInFlatList.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="kosit:ignoreInFlatList" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('kosit:ignoreInFlatList', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="kosit:documentInFlatList"
            match="/xmi:XMI/*[namespace-uri() = $kosit:profile-application/@nsURI and local-name()='documentInFlatList']"
            use="(@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp documentInFlatList.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="kosit:documentInFlatList" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('kosit:documentInFlatList', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="kosit:docBasismodulProzess"
            match="/xmi:XMI/*[namespace-uri() = $kosit:profile-application/@nsURI and local-name()='docBasismodulProzess']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp docBasismodulProzess.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="kosit:docBasismodulProzess" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('kosit:docBasismodulProzess', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="kosit:docTemplate"
            match="/xmi:XMI/*[namespace-uri() = $kosit:profile-application/@nsURI and local-name()='docTemplate']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp docTemplate.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="kosit:docTemplate" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('kosit:docTemplate', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="kosit:docGlobaleVariablen"
            match="/xmi:XMI/*[namespace-uri() = $kosit:profile-application/@nsURI and local-name()='docGlobaleVariablen']"
            use="(@base_Model)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp docGlobaleVariablen.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="kosit:docGlobaleVariablen" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('kosit:docGlobaleVariablen', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="kosit:docNumerischeSortierung"
            match="/xmi:XMI/*[namespace-uri() = $kosit:profile-application/@nsURI and local-name()='docNumerischeSortierung']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp docNumerischeSortierung.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="kosit:docNumerischeSortierung" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('kosit:docNumerischeSortierung', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="kosit:Info"
            match="/xmi:XMI/*[namespace-uri() = $kosit:profile-application/@nsURI and local-name()='Info']"
            use="(@base_Package)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp Info.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="kosit:Info" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('kosit:Info', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
</xsl:stylesheet>
