<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:log="http://www.xoev.de/de/xgenerator/framework/1/log" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xgen="http://www.xoev.de/de/xgenerator/framework/1/library" xmlns:xoev="http://www.xoev.de/de/xoev-profil/3_0_2" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xmlns:db="http://docbook.org/ns/docbook" xmlns:kosit="http://www.xoev.de/de/kosit-zubehoer/3_1_0" xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" version="2.0" exclude-result-prefixes="xsl xmi xgen xoev uml xd">
    
    <xsl:function name="kosit:paketpfad-clean" as="xs:string">
        <xsl:param name="element" as="node()"/>
        <xsl:param name="oberstes-paket" as="node()"/>
        <xsl:value-of select="replace(replace(replace(replace(kosit:paketpfad($element, $oberstes-paket), '&amp;' , '_') , '-' , '_'), ' ', '_'),':','_')"/>
    </xsl:function>
    <xsl:key name="kosit:dependency-by-supplier" match="packagedElement[@xmi:type = 'uml:Dependency']" use="@supplier"/>
    <xsl:function name="kosit:dependencies-by-supplier" as="element()*">
        <xsl:param name="element" as="element()"/>
        <xsl:sequence select="key('kosit:dependency-by-supplier', $element/@xmi:id, root($element))"/>
    </xsl:function>
    <xsl:function name="kosit:paketpfad" as="xs:string">
        <xsl:param name="element" as="node()"/>
        <xsl:param name="oberstes-paket" as="node()"/>
        <xsl:choose>
            <xsl:when test="not($element/@xmi:id = $oberstes-paket/@xmi:id) and $element/parent::packagedElement">
                <xsl:value-of select="concat(kosit:paketpfad-clean($element/parent::packagedElement, $oberstes-paket), '/', replace($element/@name, '[\s\-]+', '_'))"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="(kosit:docGeneration($element)/@verzeichnis, $element/@name)[1]"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:function>
    <xsl:function name="kosit:qualifizierter-name" as="xs:string">
        <xsl:param name="element" as="node()"/>
        <xsl:choose>
            <xsl:when test="$element/parent::packagedElement">
                <xsl:value-of select="concat(kosit:qualifizierter-name($element/parent::packagedElement), '.', $element/@name)"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="$element/@name"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:function>
    <xsl:function name="kosit:docbook-id" as="xs:string">
        <xsl:param name="element" as="node()"/>
        <xsl:value-of select="replace(kosit:qualifizierter-name($element), '[:\s&lt;&gt;#%?&amp;{}\-\\()]+', '_')"/>
    </xsl:function>
    <xsl:function name="kosit:clean-name" as="xs:string">
        <xsl:param name="string"/>
        <xsl:value-of select="normalize-space(replace(replace(replace(replace($string, 
            '&lt;[^&lt;!][^&lt;]+[^-]&gt;', ''),
            '&amp;ndash;','-'),
            '&amp;([^;]+);', '$1'),
            '&lt;!--[^&gt;]*--&gt;',''))"/>
    </xsl:function>
</xsl:stylesheet>
