<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:app="http://www.xoev.de/de/xgenerator/framework/1/application"
                xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML"
                xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
                xmlns:xgen="http://www.xoev.de/de/xgenerator/framework/1/library"
                xmlns:xmi="http://www.omg.org/spec/XMI/20131001"
                xmlns:xoev="http://www.xoev.de/de/xoev-profil/3_0_2"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="2.0">
   <xsl:variable name="xoev:profile-application"
                 select="$xgen:profile-applications/xgen:profile-application[@name = 'XOEV-Profil']"
                 as="element(xgen:profile-application)?"/>
   <xsl:variable name="xoev:version">3.0.2</xsl:variable>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevASCC"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevASCC']"
            use="(@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevASCC.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevASCC" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevASCC', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevACC"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevACC']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevACC.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevACC" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevACC', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevBCC"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevBCC']"
            use="(@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevBCC.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevBCC" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevBCC', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdSchema"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdSchema']"
            use="(@base_Package)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdSchema.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdSchema" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdSchema', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdInclude"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdInclude']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdInclude.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdInclude" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdInclude', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdGlobalElement"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdGlobalElement']"
            use="(@base_Classifier)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdGlobalElement.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdGlobalElement" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdGlobalElement', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdAttribute"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdAttribute']"
            use="(@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdAttribute.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdAttribute" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdAttribute', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdChoice"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdChoice']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdChoice.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdChoice" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdChoice', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdNamedType"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdNamedType']"
            use="(@base_Classifier)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdNamedType.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdNamedType" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdNamedType', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdElement"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdElement']"
            use="(@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdElement.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdElement" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdElement', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdRestriction"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdRestriction']"
            use="(@base_Generalization)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdRestriction.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdRestriction" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdRestriction', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdMessage"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdMessage']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdMessage.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdMessage" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdMessage', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdImport"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdImport']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdImport.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdImport" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdImport', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdAnyContents"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdAnyContents']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdAnyContents.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdAnyContents" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdAnyContents', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdUnique"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdUnique']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdUnique.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdUnique" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdUnique', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdKey"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdKey']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdKey.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdKey" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdKey', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdKeyref"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdKeyref']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdKeyref.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdKeyref" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdKeyref', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdXModel"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdXModel']"
            use="(@base_Model)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdXModel.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdXModel" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdXModel', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdTitled"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdTitled']"
            use="(@base_Element)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdTitled.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdTitled" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdTitled', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdWithImplementationHint"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdWithImplementationHint']"
            use="(@base_Element)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdWithImplementationHint.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdWithImplementationHint" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdWithImplementationHint', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevCodelisteneintrag"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevCodelisteneintrag']"
            use="(@base_EnumerationLiteral)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevCodelisteneintrag.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevCodelisteneintrag" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevCodelisteneintrag', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdCode"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdCode']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdCode.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdCode" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdCode', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdCodeList"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdCodeList']"
            use="(@base_Enumeration)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdCodeList.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdCodeList" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdCodeList', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdLocalStructure"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdLocalStructure']"
            use="(@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdLocalStructure.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdLocalStructure" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdLocalStructure', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdDeprecated"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdDeprecated']"
            use="(@base_Element)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdDeprecated.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdDeprecated" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdDeprecated', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdXModelImport"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdXModelImport']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdXModelImport.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdXModelImport" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdXModelImport', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdGroup"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdGroup']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdGroup.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdGroup" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdGroup', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdGlobalElementType"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdGlobalElementType']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdGlobalElementType.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdGlobalElementType" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdGlobalElementType', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdUnion"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdUnion']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdUnion.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdUnion" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdUnion', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdUnionMember"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdUnionMember']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdUnionMember.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdUnionMember" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdUnionMember', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdDraft"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdDraft']"
            use="(@base_Element)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdDraft.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdDraft" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdDraft', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevABIE"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevABIE']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevABIE.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevABIE" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevABIE', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevASBIE"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevASBIE']"
            use="(@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevASBIE.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevASBIE" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevASBIE', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevBBIE"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevBBIE']"
            use="(@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevBBIE.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevBBIE" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevBBIE', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevAdapter"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevAdapter']"
            use="(@base_Package)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevAdapter.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevAdapter" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevAdapter', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevKernkomponentenkatalog"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevKernkomponentenkatalog']"
            use="(@base_Element)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevKernkomponentenkatalog.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevKernkomponentenkatalog" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevKernkomponentenkatalog', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevABIEVorschlag"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevABIEVorschlag']"
            use="(@base_Classifier)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevABIEVorschlag.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevABIEVorschlag" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevABIEVorschlag', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdAll"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdAll']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdAll.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdAll" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdAll', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevCodeliste"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevCodeliste']"
            use="(@base_Enumeration,@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevCodeliste.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevCodeliste" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevCodeliste', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevStandard"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevStandard']"
            use="(@base_Model)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevStandard.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevStandard" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevStandard', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevVersionCodeliste"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevVersionCodeliste']"
            use="(@base_Enumeration,@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevVersionCodeliste.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevVersionCodeliste" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevVersionCodeliste', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevVersionStandard"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevVersionStandard']"
            use="(@base_Model)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevVersionStandard.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevVersionStandard" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevVersionStandard', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevBibliothek"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevBibliothek']"
            use="(@base_Model)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevBibliothek.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevBibliothek" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevBibliothek', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevVersionBibliothek"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevVersionBibliothek']"
            use="(@base_Model)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevVersionBibliothek.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevVersionBibliothek" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevVersionBibliothek', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevVersionDatentyp"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevVersionDatentyp']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevVersionDatentyp.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevVersionDatentyp" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevVersionDatentyp', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevDatentyp"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevDatentyp']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevDatentyp.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevDatentyp" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevDatentyp', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevVersionKernkomponente"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevVersionKernkomponente']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevVersionKernkomponente.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevVersionKernkomponente" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevVersionKernkomponente', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevKernkomponente"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevKernkomponente']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevKernkomponente.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevKernkomponente" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevKernkomponente', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevCodelistenspalten"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevCodelistenspalten']"
            use="(@base_Enumeration)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevCodelistenspalten.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevCodelistenspalten" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevCodelistenspalten', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevCodelistenspalte"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevCodelistenspalte']"
            use="(@base_Property)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevCodelistenspalte.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevCodelistenspalte" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevCodelistenspalte', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevCodeTyp1"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevCodeTyp1']"
            use="(@base_Usage)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevCodeTyp1.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevCodeTyp1" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevCodeTyp1', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevCodeTyp2"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevCodeTyp2']"
            use="(@base_Usage)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevCodeTyp2.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevCodeTyp2" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevCodeTyp2', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevCodeTyp4"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevCodeTyp4']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevCodeTyp4.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevCodeTyp4" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevCodeTyp4', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:schRuleSet"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='schRuleSet']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp schRuleSet.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:schRuleSet" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:schRuleSet', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:schContext"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='schContext']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp schContext.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:schContext" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:schContext', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevCodeTyp3"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevCodeTyp3']"
            use="(@base_Usage)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevCodeTyp3.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevCodeTyp3" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevCodeTyp3', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevCodelisteneintragDeprecated"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevCodelisteneintragDeprecated']"
            use="(@base_InstanceSpecification)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevCodelisteneintragDeprecated.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevCodelisteneintragDeprecated" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevCodelisteneintragDeprecated', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdModelGroup"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdModelGroup']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdModelGroup.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdModelGroup" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdModelGroup', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdMixedContents"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdMixedContents']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdMixedContents.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdMixedContents" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdMixedContents', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdWithAnyAttribute"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdWithAnyAttribute']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdWithAnyAttribute.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdWithAnyAttribute" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdWithAnyAttribute', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevSonderfallGenutzteCodeliste"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevSonderfallGenutzteCodeliste']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevSonderfallGenutzteCodeliste.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevSonderfallGenutzteCodeliste" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevSonderfallGenutzteCodeliste', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevSonderfallGenutzteVersionCodeliste"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevSonderfallGenutzteVersionCodeliste']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevSonderfallGenutzteVersionCodeliste.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevSonderfallGenutzteVersionCodeliste" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevSonderfallGenutzteVersionCodeliste', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdGlobalAttributeType"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdGlobalAttributeType']"
            use="(@base_Dependency)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdGlobalAttributeType.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdGlobalAttributeType" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdGlobalAttributeType', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdGlobalAttribute"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdGlobalAttribute']"
            use="(@base_Classifier)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdGlobalAttribute.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdGlobalAttribute" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdGlobalAttribute', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xsdGlobalElementAndNamedType"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xsdGlobalElementAndNamedType']"
            use="(@base_Class)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xsdGlobalElementAndNamedType.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xsdGlobalElementAndNamedType" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xsdGlobalElementAndNamedType', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:xoevGenutzteSprache"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='xoevGenutzteSprache']"
            use="(@base_Package)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp xoevGenutzteSprache.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:xoevGenutzteSprache" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:xoevGenutzteSprache', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
   <xd:doc>
      <xd:desc>Internal access key. Do not use directly.</xd:desc>
   </xd:doc>
   <xsl:key name="xoev:Info"
            match="/xmi:XMI/*[namespace-uri() = $xoev:profile-application/@nsURI and local-name()='Info']"
            use="(@base_Package)[1]"/>
   <xd:doc>
      <xd:desc>Access function for applications of stereotyp Info.</xd:desc>
      <xd:param name="model-element">Model element, e. g., packagedElement, ownedAttribut, uml:Model</xd:param>
      <xd:return>Stereotype application (e. g. xsdSchema) or empty sequence.</xd:return>
   </xd:doc>
   <xsl:function name="xoev:Info" as="element()?">
      <xsl:param name="model-element" as="element()"/>
      <xsl:sequence select="key('xoev:Info', $model-element/@xmi:id, root($model-element))"/>
   </xsl:function>
</xsl:stylesheet>
